/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The LockModel model module.
 * @module model/LockModel
 * @version 2021.12-dev21
 */
class LockModel {
    /**
     * Constructs a new <code>LockModel</code>.
     * @alias module:model/LockModel
     * @param id {Number} 
     * @param active {Boolean} 
     * @param lockEndTime {String} 
     * @param lockEndTimestamp {Number} 
     * @param lockTime {String} 
     * @param lockTimestamp {Number} 
     * @param pair {String} 
     * @param reason {String} 
     */
    constructor(id, active, lockEndTime, lockEndTimestamp, lockTime, lockTimestamp, pair, reason) { 
        
        LockModel.initialize(this, id, active, lockEndTime, lockEndTimestamp, lockTime, lockTimestamp, pair, reason);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, id, active, lockEndTime, lockEndTimestamp, lockTime, lockTimestamp, pair, reason) { 
        obj['id'] = id;
        obj['active'] = active;
        obj['lock_end_time'] = lockEndTime;
        obj['lock_end_timestamp'] = lockEndTimestamp;
        obj['lock_time'] = lockTime;
        obj['lock_timestamp'] = lockTimestamp;
        obj['pair'] = pair;
        obj['reason'] = reason;
    }

    /**
     * Constructs a <code>LockModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/LockModel} obj Optional instance to populate.
     * @return {module:model/LockModel} The populated <code>LockModel</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new LockModel();

            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('active')) {
                obj['active'] = ApiClient.convertToType(data['active'], 'Boolean');
            }
            if (data.hasOwnProperty('lock_end_time')) {
                obj['lock_end_time'] = ApiClient.convertToType(data['lock_end_time'], 'String');
            }
            if (data.hasOwnProperty('lock_end_timestamp')) {
                obj['lock_end_timestamp'] = ApiClient.convertToType(data['lock_end_timestamp'], 'Number');
            }
            if (data.hasOwnProperty('lock_time')) {
                obj['lock_time'] = ApiClient.convertToType(data['lock_time'], 'String');
            }
            if (data.hasOwnProperty('lock_timestamp')) {
                obj['lock_timestamp'] = ApiClient.convertToType(data['lock_timestamp'], 'Number');
            }
            if (data.hasOwnProperty('pair')) {
                obj['pair'] = ApiClient.convertToType(data['pair'], 'String');
            }
            if (data.hasOwnProperty('reason')) {
                obj['reason'] = ApiClient.convertToType(data['reason'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {Number} id
 */
LockModel.prototype['id'] = undefined;

/**
 * @member {Boolean} active
 */
LockModel.prototype['active'] = undefined;

/**
 * @member {String} lock_end_time
 */
LockModel.prototype['lock_end_time'] = undefined;

/**
 * @member {Number} lock_end_timestamp
 */
LockModel.prototype['lock_end_timestamp'] = undefined;

/**
 * @member {String} lock_time
 */
LockModel.prototype['lock_time'] = undefined;

/**
 * @member {Number} lock_timestamp
 */
LockModel.prototype['lock_timestamp'] = undefined;

/**
 * @member {String} pair
 */
LockModel.prototype['pair'] = undefined;

/**
 * @member {String} reason
 */
LockModel.prototype['reason'] = undefined;






export default LockModel;

